%mingw_package

%define pkgname SDL_image

Name: %cross_arch-%pkgname
Version: 1.2.3
Release: alt1

Summary: %pkgname DLL for %cross_arch target
License: LGPL
Group: System/Libraries
Url: http://www.libsdl.org/projects/SDL_image/

BuildArch: noarch

Source0: %url/release/%pkgname-%version.tar.gz
Patch0: %pkgname-alt-mingw-makefile-fix.patch

BuildPreReq: i386-mingw32msvc-binutils i386-mingw32msvc-runtime i386-mingw32msvc-gcc
BuildPreReq: i386-mingw32msvc-libjpeg-devel i386-mingw32msvc-libpng-devel
BuildPreReq: i386-mingw32msvc-libtiff-devel i386-mingw32msvc-zlib-devel
BuildPreReq: i386-mingw32msvc-SDL i386-mingw32msvc-SDL-devel

%package devel
Summary: Header files for developing apps which will use %pkgname
Group: Development/C
PreReq: %cross_arch-base
Conflicts: %name < %version-%release
Conflicts: %name > %version-%release

%package devel-static
Summary: Static %pkgname library for %cross_arch target
Group: Development/C
PreReq: %cross_arch-base
Requires: %name-devel = %version-%release

%description
This package contains %pkgname DLL built for %cross_arch target.

%description devel
%pkgname development files for crosscompiling to
%cross_arch target.

%description devel-static
Static version of %pkgname library for %cross_arch target.

%prep
%setup -q -n %pkgname-%version
%patch0 -p1
%__rm -f aclocal.m4
%__subst '/^## libtool\.m4/,$d' acinclude.m4
%__aclocal
%__autoconf
%__automake --foreign --add-missing

%build
%configure \
	--enable-tif \
	--prefix=%_archprefix \
	--includedir=%_archincludedir \
	--libdir=%_archlibdir \
	--enable-shared \
	--enable-static \
	SDL_CONFIG=%_bindir/%cross_arch-sdl-config \
	NM=%cross_arch-nm \
	%cross_env
%make_build

%install
%make_install install DESTDIR=%buildroot
%__mkdir -p %buildroot%_archbindir

%cross_arch-strip --strip-unneeded %buildroot%_archbindir/*.dll
%cross_arch-strip --strip-unneeded %buildroot%_archlibdir/*.dll.a

%files
%_archbindir/*.dll

%files devel
%_archincludedir/*
%_archlibdir/*.dll.a

%files devel-static
%_archlibdir/*.a
%exclude %_archlibdir/*.dll.a

%changelog
* Wed Dec 08 2004 Andrey Rahmatullin <wrar@altlinux.ru> 1.2.3-alt1
- built for %cross_arch target
